Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225741 - community-mysql: FTBFS in Fedora rawhide/f39
Summary: community-mysql: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:21 UTC by Fedora Release Engineering
Modified: 2023-09-16 01:40 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.34-2.fc39 community-mysql-8.0.34-2.fc38 community-mysql-8.0.34-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 18:51:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:22 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:22 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:21:29 UTC
community-mysql failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103564413


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix community-mysql at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
community-mysql will be orphaned. Before branching of Fedora 40,
community-mysql will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:22:07 UTC
Created attachment 1977698 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:22:15 UTC
Created attachment 1977699 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:22:18 UTC
Created attachment 1977700 [details]
state.log

Comment 4 Michal Schorm 2023-07-27 08:47:04 UTC
The whole issue is one failing test:
    main.derived_condition_pushdown

Via Koschei, I've verified that the fail is highly persistent.
It also likely originates from some change in buildroot, which is unfortunately untraceable quickly, as too old build logs are not preserved.

I'd like to know what caused this test to fail, however it's likely that I won' have the capacity for that.

A trivial workaround is to add this test to the 'rh-skipped-tests-list-base.list' file:
    https://src.fedoraproject.org/rpms/community-mysql/blob/rawhide/f/rh-skipped-tests-list-base.list

Comment 5 Fedora Release Engineering 2023-08-16 07:55:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Lukas Javorsky 2023-08-22 06:29:19 UTC
This test doesn't fail in the new 8.0.34 version I'm rebasing to: https://src.fedoraproject.org/rpms/community-mysql/pull-request/13#

We can close this when it's merged and built.

Comment 7 Fedora Update System 2023-09-07 10:06:50 UTC
FEDORA-2023-a9283d639f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a9283d639f

Comment 8 Fedora Update System 2023-09-07 10:07:00 UTC
FEDORA-2023-9ccff0b1b7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ccff0b1b7

Comment 9 Fedora Update System 2023-09-07 10:07:10 UTC
FEDORA-2023-492105ed08 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-492105ed08

Comment 10 Fedora Update System 2023-09-08 01:28:35 UTC
FEDORA-2023-492105ed08 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-492105ed08`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-492105ed08

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-09-08 01:33:22 UTC
FEDORA-2023-a9283d639f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a9283d639f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a9283d639f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-09-08 01:35:23 UTC
FEDORA-2023-9ccff0b1b7 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9ccff0b1b7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ccff0b1b7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-09-15 18:51:47 UTC
FEDORA-2023-9ccff0b1b7 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-09-16 01:28:17 UTC
FEDORA-2023-492105ed08 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-09-16 01:40:36 UTC
FEDORA-2023-a9283d639f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.